Tryton - Issues



Title it should be possible to generate the FEC prior to closing fiscal year
Priority feature Status resolved
Superseder Nosy List ced, reviewbot, risto3, roundup-bot
Type feature request Components account_fr
Assigned To ced Keywords review
Reviews 43091003
View: 43091003

Created on 2016-02-05.10:24:18 by risto3, last changed by roundup-bot.

New changeset 8a783f83dffe by Cédric Krier in branch 'default':
Allow to export FEC on draft fiscal year
review43091003 updated at
msg38163 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-02-01.23:57:20
Implemented in review43091003
msg33560 (view) Author: [hidden] (risto3) Date: 2017-05-07.23:09:50
art. C.2. line n° 130
msg33559 (view) Author: [hidden] (risto3) Date: 2017-05-07.19:15:04
reminder, this was filed as requested in 5165 and is still pertinent.

Using 'end' periods would probably be easier to deal with where the default could remain the whole fiscal year (somewhat like GL reports but without the start period)

Perhaps a bit dated, but this gives a reasonable description of the need for the FEC to 
be generated for non-closed fiscal years.
msg24059 (view) Author: [hidden] (risto3) Date: 2016-02-05.10:24:15
As discussed recently, it should be possible to generate the FEC during the course of a fiscal year, up to and including a specified period.

Naturally there should be warnings if the periods are not closed, in particular
the preceding fiscal year (w.r.t. deferrals).

This is necessary, for example, for the case of a fiscal audit extended to VAT
but also in anticipation of future VAT periodic declarations which may need to include this document.
Date User Action Args
2018-02-23 18:01:08roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg38583
2018-02-02 00:22:24reviewbotsetnosy: + reviewbot
messages: + msg38165
2018-02-01 23:57:20cedsetstatus: chatting -> testing
messages: + msg38163
keyword: + review
nosy: + ced
component: + account_fr
reviews: 43091003
assignedto: ced
2017-05-07 23:09:50risto3setmessages: + msg33560
2017-05-07 19:15:05risto3setstatus: unread -> chatting
messages: + msg33559
2016-02-05 11:19:22cedsetpriority: urgent -> feature
2016-02-05 10:24:18risto3create

Showing 10 items. Show all history (warning: this could be VERY long)